Bug 98850 - set follow-fork-mode appears broken in gdb
set follow-fork-mode appears broken in gdb
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: gdb (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elena Zannoni
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-09 11:29 EDT by maurice dalton
Modified: 2015-01-07 19:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-26 13:31:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description maurice dalton 2003-07-09 11:29:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
gdb, says in it's info package that it should support
follow forked children.  Though when you set this it has
no effect on how the debugger behaves.



Version-Release number of selected component (if applicable):
gdb-5.2-2

How reproducible:
Always

Steps to Reproduce:
1.set follow-fork-mode child
2.continue
3.
    

Actual Results:  gdb remains attached to parent process.

Expected Results:  gdb attaches to child process.


Additional info:

Is this option broken in this version of gdb. Or not supported.
Or are we just using this option incorrectly
Comment 1 Andrew Cagney 2003-07-26 13:29:26 EDT
This feature is not currently supported by GNU/Linux.  It will require changes
to the Linux Kernel and those are only now just being integrated.  Watch for
this feature in a future GDB (but not 6.0).

Note You need to log in before you can comment on or make changes to this bug.